PAN to GST API
Introduction
This API helps to fetch the GST information of the concerned company.
How to call the API
You will need to login before sending PAN to GST request. You are required to pass the access token received from the login call, as the authorization header in the PAN to GST request along with other parameters.
API Input Guidelines
A business PAN number linked to GSTIN needs to be provided as input.
Sample Curl
curl --location --request POST 'https://signzy.tech/api/v2/patrons/<Patron ID>>/gstns' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Auth Key>' \
--data-raw '{
"task" : "panSearch",
"essentials": {
"panNumber": "<PAN Number>",
"state" : "<State Name>"
}
}'Response Parameters
Parameter Name | Description |
|---|---|
id | Unique Id of response |
patronId | Patron Id from login call |
result | This object holds the actual result |
result.gstnDetailed | Business details linked to Gstn |
result.gstnDetailed.constitutionOfBusiness | Kind of the company |
result.gstnDetailed.legalNameOfBusiness | Legal name of business |
result.gstnDetailed.tradeNameOfBusiness | Trade name of business |
result.gstnDetailed.centreJurisdiction | Jurisdiction of business |
result.gstnDetailed.registrationDate | Registration date of the business |
result.gstnDetailed.taxPayerDate | Date of tax payment |
result.gstnDetailed.taxPayerType | Type of tax payer |
result.gstnDetailed.gstinStatus | Status of gstin active or expired |
result.gstnDetailed.cancellationDate | Cancellation date of gstin |
result.gstnDetailed.natureOfBusinessActivities | Nature of business |
result.gstnDetailed.principalPlaceAddress | Address of the business |
result.gstnDetailed.principalPlaceLatitude | Latitude of the address |
result.gstnDetailed.principalPlaceLongitude | Longitude of the address |
result.gstnDetailed.principalPlaceBuildingNameFromGST | Building name |
result.gstnDetailed.principalBuildingNoFromGST | Building Number |
result.gstnDetailed.principalPlaceFlatNo | Floor or Flat number |
result.gstnDetailed.principalPlaceStreet | Contains Street name |
result.gstnDetailed.principalPlaceLocality | Contains locality details of the business |
result.gstnDetailed.principalPlaceCity | Contains City name |
result.gstnDetailed.principalPlaceDistrict | Contains district name |
result.gstnDetailed.principalPlaceState | Contains state name |
result.gstnDetailed.principalPlacePincode | Contains pin code |
result.gstnDetailed.additionalPlaceAdress | Contains additional address details |
result.gstnDetailed.additionalPlaceLatitude | Contains additional latitude details |
result.gstnDetailed.additionalPlaceLongitud | Contains additional longitude details |
result.gstnDetailed.additionalPlaceBuildingNameFromGST | Contains additional details of building name |
result.gstnDetailed.additionalPlaceBuildingNoFromGST | Contains additional details of building number |
result.gstnDetailed.additionalPlaceFlatNo | Contains additional details of flat No |
result.gstnDetailed.additionalPlaceStreet | Contains additional details of place |
result.gstnDetailed.additionalPlaceLocality | Contains additional details of locality of the business |
result.gstnDetailed.additionalPlaceCity | Contains additional details of the city |
result.gstnDetailed.additionalPlaceDistrict | Contains additional details of the district |
result.gstnDetailed.additionalPlaceState | Contains additional details of state |
result.gstnDetailed.additionalPlacePincode | Contains additional details of Pincode |
result.gstnDetailed.additionalAddressArray | |
result.gstnDetailed.lastUpdatedDate | Contains last GSTN updation date |
result.gstnDetailed.gstin | Contains GSTN Number |
result.gstnDetailed.stateJurisdictionCode | Contains code of the jurisdiction |
result.gstnDetailed.principalPlaceSplitAddress | Contains main address in split form |
result.gstnDetailed.principalPlaceSplitAddress.district | Contains district name |
result.gstnDetailed.principalPlaceSplitAddress.state | Contains state name |
result.gstnDetailed.principalPlaceSplitAddress.city | Contains city name |
result.gstnDetailed.principalPlaceSplitAddress.pincode | Contains pincode |
result.gstnDetailed.principalPlaceSplitAddress.country | Contains country name |
result.gstnDetailed.principalPlaceSplitAddress.addressLine | Contains address details |
result.gstnDetailed.additionalPlaceSplitAddress | Contains additional split address |
result.gstnDetailed.additionalPlaceSplitAddress.district | Contains district name |
result.gstnDetailed.additionalPlaceSplitAddress.state | Contains state name |
result.gstnDetailed.additionalPlaceSplitAddress.city | Contains city name |
result.gstnDetailed.additionalPlaceSplitAddress.pincode | Contains pincode |
result.gstnDetailed.additionalPlaceSplitAddress.country | Contains country name |
result.gstnDetailed.additionalPlaceSplitAddress.addressLine | Contains address details |
result.gstnRecords | Contains GSTN records details |
result.gstnRecords.applicationStatus | Contains application status of GSTN applied |
result.gstnRecordsregistrationName | Contains registration name of the business |
result.gstnRecords.mobNum | Contains registered mobile number |
result.gstnRecords.regType | Contains registration type |
result.gstnRecords.emailId | Contains registered email id |
result.gstnRecords.tinNumber | Contain TIN number |
result.gstnRecords.gstinRefId | Contains gstin Reference Id |
result.gstnRecords.gstin | Contains GST number |
result.gstin | Contains GST number |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].